@charset "UTF-8";
/* mixin */
/* anime */
.lp-obinou h1,
.lp-obinou .h1,
.lp-obinou h2,
.lp-obinou .h2,
.lp-obinou h3,
.lp-obinou .h3,
.lp-obinou h4,
.lp-obinou .h4,
.lp-obinou h5,
.lp-obinou .h5,
.lp-obinou h6,
.lp-obinou .h6 {
  font-family: "Yu Gothic Medium", "游ゴシック Medium", YuGothic, "游ゴシック体", "メイリオ", Meiryo, "ＭＳ Ｐゴシック", "Hiragino Kaku Gothic Pro", "ヒラギノ角ゴ Pro W3", sans-serif;
}
.lp-obinou p {
  text-align: justify;
}
.lp-obinou .page-header-noukou {
  background: url(../images/lp-obinou/page-header-bg.jpg) center/auto 100% no-repeat;
  padding-top: 50px;
  padding-bottom: 40px;
  position: relative;
}
@media (min-width: 768px) {
  .lp-obinou .page-header-noukou {
    padding-top: 80px;
    padding-bottom: 80px;
  }
}
.lp-obinou .page-header-noukou h1.page-title {
  text-align: center;
  margin: 0;
}
.lp-obinou .page-header-noukou::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  background: url(../images/lp-obinou/ph-agurisu.png) left bottom/contain no-repeat;
  width: 30%;
  height: 400px;
  z-index: 2;
}
@media (min-width: 992px) {
  .lp-obinou .page-header-noukou::before {
    width: 30%;
    height: 600px;
  }
}
.lp-obinou .page-header-noukou::after {
  content: "";
  position: absolute;
  right: 0;
  bottom: 0;
  background: url(../images/lp-obinou/ph-students.png) right bottom/contain no-repeat;
  width: 30%;
  height: 400px;
  z-index: 2;
}
@media (min-width: 992px) {
  .lp-obinou .page-header-noukou::after {
    width: 30%;
    height: 600px;
  }
}
.lp-obinou .ttl-obinou {
  padding-top: 110px;
  background: url(../images/lp-obinou/ttl-icn.png) center top/auto 100px no-repeat;
}
.lp-obinou .sct-about-obinou {
  background: url(../images/lp-obinou/bg-school.jpg) top center/cover no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  overflow: hidden;
  position: relative;
}
.lp-obinou .sct-about-obinou::before {
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100vw;
  height: 100vh;
  background-image: url("../images/lp-obinou/bg-school.jpg");
  background-repeat: no-repeat;
  background-size: auto 100%;
  background-position: auto 100%;
  content: "";
}
@media (min-width: 992px) {
  .lp-obinou .sct-about-obinou::before {
    background-image: url("../images/lp-obinou/bg-school.jpg");
    background-position: center;
    background-size: auto 100%;
    background-size: auto 100%;
  }
}
.lp-obinou .sct-about-obinou .sct01-ph {
  position: relative;
  z-index: 3;
}
.lp-obinou .sct-about-obinou .sct01-ph .sub-img {
  position: relative;
  width: 60%;
  display: block;
  margin-top: -50px;
  margin-bottom: -50px;
  margin-right: auto;
  margin-left: -50px;
}
@media (min-width: 992px) {
  .lp-obinou .sct-about-obinou .sct01-ph .sub-img {
    width: 80%;
    margin-bottom: 0;
  }
}
.lp-obinou .sct-about-obinou .sct01-textarea {
  padding: 3rem;
  background: rgba(255, 255, 255, 0.85);
}
@media (min-width: 992px) {
  .lp-obinou .sct-about-obinou .sct01-textarea {
    margin-top: 50px;
    margin-left: -10rem;
    padding-left: 10rem;
  }
}
.lp-obinou .ttl-cheer {
  display: inline-block;
  position: relative;
  padding: 0 1em;
  line-height: 1.2;
}
.lp-obinou .ttl-cheer.small {
  font-size: 1.6rem;
}
.lp-obinou .ttl-cheer::before {
  content: "";
  display: block;
  height: 100%;
  width: 1px;
  background-color: #000;
  position: absolute;
  left: 0;
  top: 0;
  transform: rotate(-30deg);
}
.lp-obinou .ttl-cheer::after {
  content: "";
  display: block;
  height: 100%;
  width: 1px;
  background-color: #000;
  position: absolute;
  right: 0;
  top: 0;
  transform: rotate(30deg);
}
.lp-obinou .ttl-cheer-w {
  display: inline-block;
  position: relative;
  padding: 0 1em;
}
.lp-obinou .ttl-cheer-w.small {
  font-size: 1.6rem;
}
.lp-obinou .ttl-cheer-w::before {
  content: "";
  display: block;
  height: 100%;
  width: 1px;
  background-color: #fff;
  position: absolute;
  left: 0;
  top: 0;
  transform: rotate(-30deg);
}
.lp-obinou .ttl-cheer-w::after {
  content: "";
  display: block;
  height: 100%;
  width: 1px;
  background-color: #fff;
  position: absolute;
  right: 0;
  top: 0;
  transform: rotate(30deg);
}
.lp-obinou .sct-product-intro {
  background-image: radial-gradient(circle closest-side, rgb(254, 255, 147) 5%, rgb(255, 255, 240) 100%);
}
.lp-obinou .sct-products {
  background: url(../images/lp-obinou/bg-tokachi.jpg) top center/cover no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  position: relative;
  overflow: hidden;
}
.lp-obinou .sct-products::before {
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100vw;
  height: 100vh;
  background-image: url("../images/lp-obinou/bg-tokachi.jpg");
  background-repeat: no-repeat;
  background-size: auto 100%;
  background-position: auto 100%;
  content: "";
}
@media (min-width: 992px) {
  .lp-obinou .sct-products::before {
    background-image: url("../images/lp-obinou/bg-tokachi.jpg");
    background-position: center;
    background-size: auto 100%;
    background-size: auto 100%;
  }
}
.lp-obinou .card-product .card-header {
  background-color: #e37c60;
  color: #fff;
  text-align: center;
  font-size: 1.8rem;
}
@media (min-width: 768px) {
  .lp-obinou .card-product .card-header {
    font-size: 2rem;
  }
}
@media (min-width: 992px) {
  .lp-obinou .card-product .card-header {
    font-size: 2.4rem;
  }
}
.lp-obinou .card-product .price {
  text-align: right;
  position: relative;
}
.lp-obinou .card-product .price strong {
  color: red;
}
.lp-obinou .card-product .price .price-num {
  font-size: 3rem;
}
.lp-obinou .card-product .price:after {
  content: "";
  border-bottom: 2px solid red;
  display: block;
  height: 0;
  width: 50%;
  min-width: 300px;
  position: absolute;
  right: 0;
  bottom: 0;
}
.lp-obinou .card-product .productMarks {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0 -10px 15px;
}
.lp-obinou .card-product .productMarks li {
  flex: 0 0 50%;
  padding: 0 10px;
}
.lp-obinou .card-product .productMarks .productMark_soryo {
  text-align: center;
  display: block;
  color: #e37c60;
  font-weight: bold;
  border: #e37c60 1px solid;
  background-color: rgba(227, 124, 96, 0.1);
}
.lp-obinou .card-product .productMarks .productMark_cool {
  display: block;
  text-align: center;
  color: #80b2e4;
  font-weight: bold;
  border: #80b2e4 1px solid;
  background-color: rgba(128, 178, 228, 0.1);
}
.lp-obinou .card-product .productMarks .productMark_freeze {
  display: block;
  text-align: center;
  color: #8b8b8b;
  font-weight: bold;
  border: #8b8b8b 1px solid;
  background-color: rgba(139, 139, 139, 0.1);
}
.lp-obinou .card-product .sub-items h2 {
  line-height: 1.2;
}
.lp-obinou .card-product .sub-items h2 small {
  display: block;
}
.lp-obinou .card-product .ph-frame-cl {
  border-radius: 50%;
  overflow: hidden;
}
.lp-obinou .card-product .el_btn {
  max-width: 320px;
  margin-left: auto;
  margin-right: auto;
}
.lp-obinou .card-column {
  border: solid 1px #fff;
}
.lp-obinou .card-product01 {
  background: url(../images/lp-obinou/bg-product01.jpg);
  color: #fff;
}
@media (min-width: 768px) {
  .lp-obinou .sub-items-wrap.table-responsive {
    overflow: hidden !important;
  }
  .lp-obinou .sub-items-wrap.table-responsive .scroll-hint-icon-wrap {
    display: none;
  }
}
.lp-obinou .sub-items01 {
  width: 420vw;
}
@media (min-width: 768px) {
  .lp-obinou .sub-items01 {
    width: auto;
  }
}
.lp-obinou .sub-items02 {
  width: 280vw;
}
@media (min-width: 768px) {
  .lp-obinou .sub-items02 {
    width: auto;
  }
}
.lp-obinou .sct-blog {
  background: url(../images/lp-obinou/bg-sct-blog.jpg) left top/auto 100% no-repeat;
}
.lp-obinou .col.col-new {
  position: relative;
}
.lp-obinou .col.col-new .badge-new {
  position: absolute;
  left: 15px;
  top: 0;
  height: 60px;
  width: 60px;
  background: url(../images/lp-obinou/badge-new.svg) center/contain no-repeat;
}/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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 */
